AI 模型接口视频(Videos)原厂火山格式

查询视频生成任务详情

根据任务 ID 查询单个视频生成任务的状态和结果。生成成功后返回视频下载 URL。

GET
/api/v3/contents/generations/tasks/{id}

Path Parameters

id*string

任务 ID

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/contents/generations/tasks/string"
{
  "id": "string",
  "model": "string",
  "status": "pending",
  "content": {
    "video_url": "http://example.com"
  },
  "seed": 0,
  "resolution": "480p",
  "duration": 0,
  "ratio": "string",
  "framespersecond": 0,
  "service_tier": "string",
  "tools": [
    {
      "type": "string"
    }
  ],
  "usage": {
    "completion_tokens": 0,
    "total_tokens": 0,
    "tool_usage": {
      "web_search": 0
    }
  },
  "error": {
    "code": "string",
    "message": "string"
  },
  "created_at": 0,
  "updated_at": 0
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}

这篇文档对您有帮助吗?